# Interface: RemoteCache

## Table of contents

### Properties

- [retrieve](../../devkit/documents/RemoteCache#retrieve): Function
- [store](../../devkit/documents/RemoteCache#store): Function

## Properties

### retrieve

• **retrieve**: (`hash`: `string`, `cacheDirectory`: `string`) => `Promise`<`boolean`\>

#### Type declaration

▸ (`hash`, `cacheDirectory`): `Promise`<`boolean`\>

##### Parameters

| Name             | Type     |
| :--------------- | :------- |
| `hash`           | `string` |
| `cacheDirectory` | `string` |

##### Returns

`Promise`<`boolean`\>

---

### store

• **store**: (`hash`: `string`, `cacheDirectory`: `string`) => `Promise`<`boolean`\>

#### Type declaration

▸ (`hash`, `cacheDirectory`): `Promise`<`boolean`\>

##### Parameters

| Name             | Type     |
| :--------------- | :------- |
| `hash`           | `string` |
| `cacheDirectory` | `string` |

##### Returns

`Promise`<`boolean`\>
